###############################################################################

FROM alpine:3.20.2

###############################################################################

ARG HUGO_VERSION="0.125.4"
ARG HUGO_RELEASE="r3"

###############################################################################

RUN apk add --no-cache \
      "hugo==${HUGO_VERSION}-${HUGO_RELEASE}"

###############################################################################

ENTRYPOINT [ "/usr/bin/hugo" ]

###############################################################################
